package com.ruoyi.rocketmq.mapper;

import com.ruoyi.rocketmq.domain.InitialSwitchMpuInfo;

import java.util.List;
import java.util.Map;

/**
 * MPU信息Mapper接口
 * 
 * @author gyt
 * @date 2025-09-22
 */
public interface InitialSwitchMpuInfoMapper 
{
    /**
     * 查询MPU信息
     * 
     * @param id MPU信息主键
     * @return MPU信息
     */
    public InitialSwitchMpuInfo selectInitialSwitchMpuInfoById(Long id);

    /**
     * 查询MPU信息列表
     * 
     * @param initialSwitchMpuInfo MPU信息
     * @return MPU信息集合
     */
    public List<InitialSwitchMpuInfo> selectInitialSwitchMpuInfoList(InitialSwitchMpuInfo initialSwitchMpuInfo);

    /**
     * 新增MPU信息
     * 
     * @param initialSwitchMpuInfo MPU信息
     * @return 结果
     */
    public int insertInitialSwitchMpuInfo(InitialSwitchMpuInfo initialSwitchMpuInfo);

    /**
     * 修改MPU信息
     * 
     * @param initialSwitchMpuInfo MPU信息
     * @return 结果
     */
    public int updateInitialSwitchMpuInfo(InitialSwitchMpuInfo initialSwitchMpuInfo);

    /**
     * 删除MPU信息
     * 
     * @param id MPU信息主键
     * @return 结果
     */
    public int deleteInitialSwitchMpuInfoById(Long id);

    /**
     * 批量删除MPU信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteInitialSwitchMpuInfoByIds(Long[] ids);

    /**
     * 批量新增mpu信息
     * @param list
     * @return
     */
    int insertBatchInitialSwitchMpuInfo(List<InitialSwitchMpuInfo> list);

    /**
     * 指定交换机的mpu名称
     * @param initialSwitchMpuInfo
     * @return
     */
    List<Map> getAllMpuName(InitialSwitchMpuInfo initialSwitchMpuInfo);

    /**
     * 获取mpu的基础信息
     * @param initialSwitchMpuInfo
     * @return
     */
    List<InitialSwitchMpuInfo> getMpuMsg(InitialSwitchMpuInfo initialSwitchMpuInfo);
}
